package router

import (
	"fonchain-fiee/pkg/middleware"
	"fonchain-fiee/pkg/service"
	"fonchain-fiee/pkg/service/secfilings"

	"github.com/gin-gonic/gin"
)

func SecFilingRouter(r *gin.RouterGroup) {
	SecFilingRouter := r.Group("sec-filing")
	SecFilingRouter.Use(middleware.CheckWebLogin(service.AccountProvider))

	// sec-filing
	secFilingRoute := SecFilingRouter.Group("system")
	{
		secFilingRoute.POST("create", secfilings.CreateSecFiling)
		secFilingRoute.POST("update", secfilings.UpdateSecFiling)
		secFilingRoute.POST("list", secfilings.ListSecFiling)
		secFilingRoute.POST("detail", secfilings.DetailSecFiling)
		secFilingRoute.POST("delete", secfilings.DeleteSecFiling)
		secFilingRoute.POST("get", secfilings.GetSecFilings)
		secFilingRoute.POST("update/status", secfilings.UpdateSecFilingStatus)
	}
}
